<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$id=$json['id'];
$sql="SELECT * FROM amenities_service WHERE id='$id'";
$result = $conn->query($sql);
$arr=array();
while($row = mysqli_fetch_assoc($result)) {
$vendor_id=$row['vendor_id'];    
$sql="SELECT user_details.* FROM users INNER JOIN user_details ON users.user_id=user_details.user_id WHERE users.user_id='$vendor_id'";
$result_rslt=$conn->query($sql);    
$fetchrow=mysqli_fetch_array($result_rslt);
$phone=isset($fetchrow['phone']) ? $fetchrow['phone'] :'';
$image=$base_url."image/no_image_available.jpg";
if(@is_array(getimagesize($base_url."/image/services/".$row['image']))){
 $image=$base_url."image/services/".$row['image']; 
}
$arr[]=array("id" => $row['id'],"title"=>$row['title'],"month_price" => $row['month_price'],"deposit" => $row['deposit'],"description" => $row['description'],"image" => $image,"phone" => $phone);
}
$data = array("data" => $arr);
echo json_encode($data);     
$conn->close();
?>